#NONE cluster class definition
#
#   Usage:
#      cluster=none();
#      cluster=none('np',3);
#      cluster=none('np',3,'login','username');

class none:
	#properties
	def __init__(self):
		# {{{ Properties
		self.name='none'
		#}}}
	def __repr__(obj):
		# {{{ Display
		
		string="class 'none' object:"
		string="%s\n\n%s"%(string,"%s%s"%('    name: ',obj.name))
		return string
		#}}}
	def checkconsistency(cluster,md,solution,analyses):
		pass
	def BuildQueueScript(cluster,md):
			 raise RuntimeError('none.BuildQueueScript error message: serial cluster cannot build queue script')
